System does not auto detect disconnection of external monitor

Bug #1835001 reported by Chih-Hsyuan Ho on 2019-07-02
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Timo Aaltonen
Bionic
Undecided
You-Sheng Yang
Cosmic
Undecided
You-Sheng Yang
Disco
Undecided
You-Sheng Yang
Eoan
Undecided
Timo Aaltonen
linux-oem (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
You-Sheng Yang
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned
linux-oem-osp1 (Ubuntu)
Undecided
Unassigned
Bionic
Undecided
Timo Aaltonen
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned
Eoan
Undecided
Unassigned

Bug Description

[Impact]
System does not auto detect disconnection of external monitor

Steps to reproduce:
1. install dell-bto-bionic-beaver-lancel-X84-20190507-42.iso and boot into OS
2. open "system settings > display settings"
3. connect laptop to an external HDMI monitor via HDMI port & cable
4. unplug the HDMI cable
5. check if "display settings" automatically detects the removal of the external monitor

Expected result:
display settings should automatically detect the removal of external monitor when unplugging the HDMI cable

Actual result:
System does not automatically detect the removal of the external monitor when HDMI cable is removed.
Sound setting also list HDMI audio in output tab after removal external monitor.

Failure rate:
2/10 to 1/10

[Fix]
two commits from upstream drm-intel-next-queued branch

[Test case]
see "steps to reproduce"

[Regression potential]
still possible, but for the distro only Eoan will get it. OEM kernels will get tested on systems that get it.

Chih-Hsyuan Ho (chih) on 2019-07-02
tags: added: verification-needed-bionic
You-Sheng Yang (vicamo) on 2019-07-02
description: updated
tags: removed: verification-needed-bionic
no longer affects: hwe-next
no longer affects: hwe-next/bionic
Timo Aaltonen (tjaalton) on 2019-07-02
Changed in linux (Ubuntu Bionic):
status: New → Won't Fix

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1835001

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: disco
Timo Aaltonen (tjaalton) wrote :

this is an old bug, and there have been several attempts to fix it in the past, but this series finally seems to make it upstream:

https://patchwork.freedesktop.org/series/62965/

let's fix it in eoan at least, besides oem/osp1

Changed in linux (Ubuntu):
assignee: nobody → Timo Aaltonen (tjaalton)
status: Incomplete → Confirmed
Timo Aaltonen (tjaalton) on 2019-07-18
description: updated
Timo Aaltonen (tjaalton) on 2019-07-18
Changed in linux-oem-osp1 (Ubuntu Bionic):
status: New → Fix Committed
Seth Forshee (sforshee) on 2019-07-19
Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
You-Sheng Yang (vicamo) on 2019-07-23
Changed in linux (Ubuntu Bionic):
assignee: nobody → You-Sheng Yang (vicamo)
status: Won't Fix → In Progress
Changed in linux-oem (Ubuntu Cosmic):
status: New → Won't Fix
Changed in linux-oem (Ubuntu Disco):
status: New → Won't Fix
Changed in linux (Ubuntu Cosmic):
assignee: nobody → You-Sheng Yang (vicamo)
status: New → In Progress
Changed in linux (Ubuntu Disco):
assignee: nobody → You-Sheng Yang (vicamo)
status: New → In Progress
Changed in linux-oem (Ubuntu Bionic):
assignee: nobody → You-Sheng Yang (vicamo)
status: New → In Progress
Changed in linux-oem-osp1 (Ubuntu Cosmic):
status: New → Won't Fix
Changed in linux-oem-osp1 (Ubuntu Disco):
status: New → Won't Fix
Changed in linux-oem (Ubuntu Eoan):
status: New → Won't Fix
Changed in linux-oem-osp1 (Ubuntu Eoan):
status: New → Won't Fix
Changed in linux-oem-osp1 (Ubuntu Bionic):
assignee: nobody → Timo Aaltonen (tjaalton)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1015.16

---------------
linux-oem-osp1 (5.0.0-1015.16) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1015.16 -proposed tracker (LP: #1836856)

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device

  * First click on Goodix touchpad doesn't be recognized after runtime suspended
    (LP: #1836836)
    - SAUCE: i2c: designware: add G3 3590 into i2c quirk

 -- Timo Aaltonen <email address hidden> Thu, 18 Jul 2019 11:29:53 +0300

Changed in linux-oem-osp1 (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux-oem-osp1 (Ubuntu Disco):
status: Won't Fix → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Giraffe (dodger-forum) wrote :

Dear sir/madam,

I'm running Lubuntu 19.04 (64-bit) on a Dell Precision 7510 (with a Nvidia Quadro M2000M GPU).

The Quadro M2000M is governed by:
nvidia-driver-418 418.56-0ubuntu1
nvidia-prime 0.8.10

I've just upgraded to Kernel ver.:
linux-oem-osp1 5.0.0.1015.16

Since upgrading to kernel ver. 5.0.0.1015.16, the Quadro M2000M will not power down, e.g. Powertop shows 100% power usage for the M2000M, even though the "Intel" profile is selected via Nvidia-Prime.

When booting from kernel 5.0.0-1013.14, the Nvidia-GPU will power down just fine.

I'm guessing this problem was introduced by this changeset. I do not know if this problem warrants a new / seperate bug, if so i'm happy to create a new bug.

AceLan Kao (acelankao) wrote :

These are the -1014 changelog, there is only one commit related to Nvidia

linux-oem-osp1 (5.0.0-1014.15) bionic; urgency=medium

  * linux-oem-osp1: 5.0.0-1014.15 -proposed tracker (LP: #1836161)

  * Intel ethernet I219 may wrongly detect connection speed as 10Mbps
    (LP: #1836177)
    - e1000e: Make watchdog use delayed work

  * Intel ethernet I219 has slow RX speed (LP: #1836152)
    - e1000e: add workaround for possible stalled packet
    - e1000e: disable force K1-off feature

  * headphone-mic doesn't work on a couple of dell machines (alsa/realtek)
    (LP: #1836132)
    - SAUCE: ALSA: hda/realtek - headphone mic doesn't work on two Dell machines

  * Unhide Nvidia HDA audio controller (LP: #1836308)
    - PCI: Enable NVIDIA HDA controllers

  * Sometimes touchpad(goodix) can't use tap function (LP: #1836020)
    - SAUCE: i2c: designware: add Inpiron/Vostro 7590 into i2c quirk
    - SAUCE: i2c: designware: add Inpiron 7591 into i2c quirk

  * enable realtek ethernet device ASPM function (LP: #1836030)
    - SAUCE: PCI/ASPM: add L1 sub-state support to pci_disable_link_state
    - SAUCE: PCI/ASPM: allow to re-enable Clock PM
    - SAUCE: PCI/ASPM: add sysfs attribute for controlling ASPM
    - SAUCE: Revert "r8169: disable ASPM again"

  * backport pmc_core (LP: #1836012)
    - platform/x86: intel_pmc_core: Fix file permissions for ltr_show
    - platform/x86: intel_pmc_core: Include Reserved IP for LTR
    - platform/x86: intel_pmc_core: Avoid a u32 overflow
    - platform/x86: intel_pmc_core: Convert to INTEL_CPU_FAM6 macro
    - platform/x86: intel_pmc_core: Add ICL platform support
    - platform/x86: intel_pmc_core: Add Package cstates residency info
    - platform/x86: intel_pmc_core: Mark local function static
    - platform/x86: intel_pmc_core: Convert to a platform_driver
    - platform/x86: intel_pmc_core: Allow to dump debug registers on S0ix failure

  * Intel Wireless-AC 9462/9560 not supported on ICL (LP: #1835879)
    - iwlwifi: add new cards for 9000 and 20000 series
    - iwlwifi: pcie: add support for qu c-step devices

  * Add DMIC support to oem-kernel (LP: #1826181)
    - ASoC: SOF: hda: fix link DMA config
    - ASoC: SOF: hda: fix stream id setting
    - ALSA: hda: realtek - Headphone Mic can't record after S3

AceLan Kao (acelankao) wrote :

Giraffe,

Could you run this command to see if it helps
   sudo powertop --auto-tune

tags: added: verification-done-bionic
removed: verification-needed-bionic
Giraffe (dodger-forum) wrote :

AceLan Kao,

sudo powertop --auto-tune

Does not help, unfortunately.

Launchpad Janitor (janitor) wrote :
Download full text (37.9 KiB)

This bug was fixed in the package linux - 5.2.0-10.11

---------------
linux (5.2.0-10.11) eoan; urgency=medium

  * eoan/linux: 5.2.0-10.11 -proposed tracker (LP: #1838113)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log

  * Eoan update: v5.2.4 upstream stable release (LP: #1838428)
    - bnx2x: Prevent load reordering in tx completion processing
    - caif-hsi: fix possible deadlock in cfhsi_exit_module()
    - hv_netvsc: Fix extra rcu_read_unlock in netvsc_recv_callback()
    - igmp: fix memory leak in igmpv3_del_delrec()
    - ipv4: don't set IPv6 only flags to IPv4 addresses
    - ipv6: rt6_check should return NULL if 'from' is NULL
    - ipv6: Unlink sibling route in case of failure
    - net: bcmgenet: use promisc for unsupported filters
    - net: dsa: mv88e6xxx: wait after reset deactivation
    - net: make skb_dst_force return true when dst is refcounted
    - net: neigh: fix multiple neigh timer scheduling
    - net: openvswitch: fix csum updates for MPLS actions
    - net: phy: sfp: hwmon: Fix scaling of RX power
    - net_sched: unset TCQ_F_CAN_BYPASS when adding filters
    - net: stmmac: Re-work the queue selection for TSO packets
    - net/tls: make sure offload also gets the keys wiped
    - nfc: fix potential illegal memory access
    - r8169: fix issue with confused RX unit after PHY power-down on RTL8411b
    - rxrpc: Fix send on a connected, but unbound socket
    - sctp: fix error handling on stream scheduler initialization
    - sctp: not bind the socket in sctp_connect
    - sky2: Disable MSI on ASUS P6T
    - tcp: be more careful in tcp_fragment()
    - tcp: fix tcp_set_congestion_control() use from bpf hook
    - tcp: Reset bytes_acked and bytes_received when disconnecting
    - vrf: make sure skb->data contains ip header to make routing
    - net/mlx5e: IPoIB, Add error path in mlx5_rdma_setup_rn
    - net: bridge: mcast: fix stale nsrcs pointer in igmp3/mld2 report handling
    - net: bridge: mcast: fix stale ipv6 hdr pointer when handling v6 query
    - net: bridge: don't cache ether dest pointer on input
    - net: bridge: stp: don't cache eth dest pointer before skb pull
    - macsec: fix use-after-free of skb during RX
    - macsec: fix checksumming after decryption
    - netrom: fix a memory leak in nr_rx_frame()
    - netrom: hold sock when setting skb->destructor
    - selftests: txring_overwrite: fix incorrect test of mmap() return value
    - net/tls: fix poll ignoring partially copied records
    - net/tls: reject offload of TLS 1.3
    - net/mlx5e: Fix port tunnel GRE entropy control
    - net/mlx5e: Rx, Fix checksum calculation for new hardware
    - net/mlx5e: Fix return value from timeout recover function
    - net/mlx5e: Fix error flow in tx reporter diagnose
    - bnxt_en: Fix VNIC accounting when enabling aRFS on 57500 chips.
    - mlxsw: spectrum_dcb: Configure DSCP map as the last rule is removed
    - net/mlx5: E-Switch, Fix default encap mode
    - mlxsw: spectrum: Do not process learned records with a dummy FID
    - dma-buf: balance refcount inbalance
    - dma-buf: Discard old fence_excl on retrying get_fences_rcu for realloc
    - Revert "gpio/spi: Fix spi-gpio...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Stefan Bader (smb) on 2019-08-12
Changed in linux (Ubuntu Cosmic):
status: In Progress → Won't Fix
Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1050.57

---------------
linux-oem (4.15.0-1050.57) bionic; urgency=medium

  * bionic/linux-oem: 4.15.0-1050.57 -proposed tracker (LP: #1839261)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 4.15.0-58.64 ]

  * unable to handle kernel NULL pointer dereference at 000000000000002c (IP:
    iget5_locked+0x9e/0x1f0) (LP: #1838982)
    - Revert "ovl: set I_CREATING on inode being created"
    - Revert "new primitive: discard_new_inode()"

 -- Chia-Lin Kao (AceLan) <email address hidden> Wed, 07 Aug 2019 18:14:17 +0800

Changed in linux-oem (Ubuntu Bionic):
status: In Progress → Fix Released
Changed in linux-oem (Ubuntu Disco):
status: Won't Fix → Fix Released

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1050.57

---------------
linux-oem (4.15.0-1050.57) bionic; urgency=medium

  * bionic/linux-oem: 4.15.0-1050.57 -proposed tracker (LP: #1839261)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 4.15.0-58.64 ]

  * unable to handle kernel NULL pointer dereference at 000000000000002c (IP:
    iget5_locked+0x9e/0x1f0) (LP: #1838982)
    - Revert "ovl: set I_CREATING on inode being created"
    - Revert "new primitive: discard_new_inode()"

 -- Chia-Lin Kao (AceLan) <email address hidden> Wed, 07 Aug 2019 18:14:17 +0800

Changed in linux-oem (Ubuntu Eoan):
status: Won't Fix → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.2 KiB)

This bug was fixed in the package linux-oem-osp1 - 5.0.0-1018.20

---------------
linux-oem-osp1 (5.0.0-1018.20) bionic; urgency=medium

  * alsa/hdmi: the sound is distorted when playing via nvidia hdmi
    (LP: #1838243)
    - ALSA: hda: program stripe control for codec

  * alsa/sof: let legacy hda driver and sof driver co-exist (LP: #1837828)
    - ASoC: Intel: Skylake: move NHLT header to common directory
    - ALSA: hda: move parts of NHLT code to new module
    - ALSA: hda: intel-nhlt: handle NHLT VENDOR_DEFINED DMIC geometry
    - ASoC: Intel: Skylake: use common NHLT module
    - ALSA: hda/intel: stop probe if DMICS are detected on Skylake+ platforms
    - [Config] enable SND_HDA_INTEL_DETECT_DMIC for dmic
    - [Config] enable SND_HDA_INTEL_DETECT_DMIC for dmic

  * alsa/sof: the headphone doesn't work when sound-setting opens (LP: #1837900)
    - Revert "ASoC: SOF: hda: set autosuspend delay for hda bus device"

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Revert "Input: alps - don't handle ALPS cs19 trackpoint-only device"
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - SAUCE: i915: set disable_power_well=0 for icl temporarily

  * alsa/sof: The definition of ROM state register is not correct (LP: #1837500)
    - ASoC: SOF: Intel: HDA: correct ROM state mask

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  [ Ubuntu: 5.0.0-25.26 ]

  * CVE-2019-1125
    - x86/cpufeatures: Carve out CQM features retrieval
    - x86/cpufeatures: Combine word 11 and 12 into a new scattered features word
    - x86/speculation: Prepare entry code for Spectre v1 swapgs mitigations
    - x86/speculation: Enable Spectre v1 swapgs mitigations
    - x86/entry/64: Use JMP instead of JMPQ
    - x86/speculation/swapgs: Exclude ATOMs from speculation through SWAPGS

  [ Ubuntu: 5.0.0-24.25 ]

  * disco/linux: 5.0.0-24.25 -proposed tracker (LP: #1838395)
  * Packaging resync (LP: #1786013)
    - [Packaging] resync git-ubuntu-log
  * hibmc-drm Causes Unreadable Display for Huawei amd64 Servers (LP: #1762940)
    - [Config] Set CONFIG_DRM_HISI_HIBMC to arm64 only
    - SAUCE: Make CONFIG_DRM_HISI_HIBMC depend on ARM64
  * [18.04 FEAT] zKVM: Add hardware CPU Model - kernel part (LP: #1836153)
    - KVM: s390: add debug logging for cpu model subfunctions
    - KVM: s390: implement subfunction processor calls
    - KVM: s390: add vector enhancements facility 2 to cpumodel
    - KVM: s390: add vector BCD enhancements facility to cpumodel
    - KVM: s390: add MSA9 to cpumodel
    - KVM: s390: provide query function for instructions returning 32 byte
    - KVM: s390: add enhanced sort facilty to cpu model
    - KVM: s390: add deflate conversion facilty to cpu model
    - KVM: s390: enable MSA9 keywrapping functions depending on cpu model
  * bcache: risk of data loss on I/O errors in backing or caching devices
    (LP: #1829563)
    - Revert "bcache: set CACHE_SET_IO_DISABLE in bch_cached_dev_error()"
  * Intel ethernet I219 has...

Changed in linux-oem-osp1 (Ubuntu Eoan):
status: Won't Fix → Fix Released
Vic Liu (zongminl) wrote :

I can no longer reproduce this issue with kernel linux-oem - 4.15.0-1050.57 on a previously reproducible system with kernel 4.15.0-1042-oem.

Vic Liu (zongminl) wrote :

Note to comment #16: I tried to reproduce 10 times, the reproduce rate is 0/10 with linux-oem - 4.15.0-1050.57.

Vic Liu (zongminl) wrote :

I can no longer reproduce this issue with kernel linux-oem-osp1 - 5.0.0-1018.20 on a previously reproducible system with kernel 4.15.0-1042-oem.
I tried to reproduce 10 times, the reproduce rate is 0/10 with linux-oem-osp1 - 5.0.0-1018.20.

Chih-Hsyuan Ho (chih) wrote :

Based on the comments in #18, update the tag 'verification-needed-disco' to 'verification-done-disco' as instructed.

tags: added: verification-done-disco
removed: verification-needed-disco
Launchpad Janitor (janitor) wrote :
Download full text (34.4 KiB)

This bug was fixed in the package linux - 5.0.0-27.28

---------------
linux (5.0.0-27.28) disco; urgency=medium

  * disco/linux: 5.0.0-27.28 -proposed tracker (LP: #1840816)

  * [Potential Regression] System crashes when running ftrace test in
    ubuntu_kernel_selftests (LP: #1840750)
    - x86/kprobes: Set instruction page as executable

linux (5.0.0-26.27) disco; urgency=medium

  * disco/linux: 5.0.0-26.27 -proposed tracker (LP: #1839972)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * alsa/hdmi: add icelake hdmi audio support for a Dell machine (LP: #1836916)
    - ALSA: hda: hdmi - add Icelake support
    - ALSA: hda/hdmi - Remove duplicated define
    - ALSA: hda/hdmi - Fix i915 reverse port/pin mapping

  * input/mouse: alps trackpoint-only device doesn't work (LP: #1836752)
    - Input: alps - don't handle ALPS cs19 trackpoint-only device
    - Input: alps - fix a mismatch between a condition check and its comment

  * [18.04 FEAT] Enhanced hardware support (LP: #1836857)
    - s390: report new CPU capabilities
    - s390: add alignment hints to vector load and store

  * System does not auto detect disconnection of external monitor (LP: #1835001)
    - drm/i915: Add support for retrying hotplug
    - drm/i915: Enable hotplug retry

  * [18.04 FEAT] Enhanced CPU-MF hardware counters - kernel part (LP: #1836860)
    - s390/cpum_cf: Add support for CPU-MF SVN 6
    - s390/cpumf: Add extended counter set definitions for model 8561 and 8562

  * EeePC 1005px laptop backlight is off after system boot up (LP: #1837117)
    - platform/x86: asus-wmi: Only Tell EC the OS will handle display hotkeys from
      asus_nb_wmi

  * br_netfilter: namespace sysctl operations (LP: #1836910)
    - netfilter: bridge: port sysctls to use brnf_net
    - netfilter: bridge: namespace bridge netfilter sysctls
    - netfilter: bridge: prevent UAF in brnf_exit_net()

  * ideapad_laptop disables WiFi/BT radios on Lenovo Y540 (LP: #1837136)
    - platform/x86: ideapad-laptop: Remove no_hw_rfkill_list

  * shiftfs: allow overlayfs (LP: #1838677)
    - SAUCE: shiftfs: enable overlayfs on shiftfs

  * bcache: bch_allocator_thread(): hung task timeout (LP: #1784665)
    - bcache: never writeback a discard operation
    - bcache: improve bcache_reboot()
    - SAUCE: bcache: fix deadlock in bcache_allocator

  * Regressions in CMA allocation rework (LP: #1839395)
    - dma-contiguous: do not overwrite align in dma_alloc_contiguous()
    - dma-contiguous: page-align the size in dma_free_contiguous()

  * CVE-2019-3900
    - vhost: introduce vhost_exceeds_weight()
    - vhost_net: fix possible infinite loop
    - vhost: vsock: add weight support
    - vhost: scsi: add weight support

  * Disco update: 5.0.21 upstream stable release (LP: #1837518)
    - bonding/802.3ad: fix slave link initialization transition states
    - cxgb4: offload VLAN flows regardless of VLAN ethtype
    - inet: switch IP ID generator to siphash
    - ipv4/igmp: fix another memory leak in igmpv3_del_delrec()
    - ipv4/igmp: fix build error if !CONFIG_IP_MULTICAST
    - ipv6: Consider sk_bound_dev_if when binding a raw socket to an address
    - ipv6: Fix redi...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Timo Aaltonen (tjaalton) wrote :

changing back to wontfix, hwe kernel has it instead

Changed in linux (Ubuntu Bionic):
status: In Progress → Won't Fix
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers